# =============================================================
#               CodeTyphon Studio
#      Copyright (c) PilotLogic Software House.
#               All rights reserved.
#
#     This Script Install to Fedora Linux 
#     base libraries to Build and Run CodeTyphon   
# =============================================================
# Update 25-04-2014 for Fedora 20 with MultiArch for GTK2 and QT
# Update 11-12-2014 for Fedora 21 with MultiArch for GTK2 and QT
# Update 28-05-2014 for Fedora 22 with MultiArch for GTK2 and QT

ciplatiform=$1
cicpu=$2
ciUseMultiArch=$3

echo "----------------------------------------------------"
echo " CodeTyphon OS Libraries Installation for" 
echo "              Fedora Linux" 
echo "----------------------------------------------------"
echo "   "

# --- OS pkg manager  -----

case $(uname -r) in 
 *fc1*)
    pkgman=yum
    ;; 
 *fc20*)
    pkgman=yum
    ;; 
 *fc21*)
    pkgman=yum
    ;; 
 *)
    pkgman=dnf
    ;;    
esac

echo "   "
echo "[INFO] use $pkgman manager..."
echo "   "

# --- OS Update  -----

echo "[INFO] Start OS Update..."
echo "   "
sudo $pkgman update -y 

echo "   "
echo "[INFO] Start Libraries Installation..."
echo "   "

sudo $pkgman install -y xterm 
sudo $pkgman install -y zip 
sudo $pkgman install -y unzip
sudo $pkgman install -y wget

sudo $pkgman install -y make 
sudo $pkgman install -y kernel-devel 
sudo $pkgman install -y kernel-headers 
sudo $pkgman install -y gcc 
sudo $pkgman install -y gcc-c++
sudo $pkgman install -y gdb 
sudo $pkgman install -y binutils 

sudo $pkgman install -y glib-devel 
sudo $pkgman install -y glibc-devel 
sudo $pkgman install -y libX11-devel
sudo $pkgman install -y libXtst
sudo $pkgman install -y libXtst-devel
sudo $pkgman install -y libGL* 
sudo $pkgman install -y freeglut 
sudo $pkgman install -y xorg-x11-font*

if [ $ciUseMultiArch = 1 ] ; 
then
  sudo $pkgman install -y glib-devel.i686  
  sudo $pkgman install -y glibc-devel.i686  
  sudo $pkgman install -y libX11-devel.i686 
  sudo $pkgman install -y libXtst.i686 
  sudo $pkgman install -y libXtst-devel.i686 
  sudo $pkgman install -y freeglut.i686   
fi

# Install libraries for GTK2
if [ $ciplatiform = 0 ] ; 
then
    echo "   "
    echo "Install libraries for GTK2"
    echo "   "
    sudo $pkgman install -y gtk2-devel 
    sudo $pkgman install -y gtk+extra 
    sudo $pkgman install -y gtk+-devel
    sudo $pkgman install -y gtkglext-devel 
    sudo $pkgman install -y gtkglext-doc 
    sudo $pkgman install -y cairo-devel 
    sudo $pkgman install -y cairo-gobject-devel
    sudo $pkgman install -y pango-devel 

    
    if [ $ciUseMultiArch = 1 ] ; 
    then
      sudo $pkgman install -y gtk2-devel.i686 
      sudo $pkgman install -y gtk+extra.i686  
      sudo $pkgman install -y gtk+-devel.i686 
      sudo $pkgman install -y gtkglext-devel.i686 
      sudo $pkgman install -y cairo-devel.i686  
      sudo $pkgman install -y cairo-gobject-devel.i686 
      sudo $pkgman install -y pango-devel.i686    
    fi

fi

# Install libraries for QT4
if [ $ciplatiform = 1 ] ; 
then
    echo "   "
    echo "Install libraries for QT"
    echo "   "
            
    sudo $pkgman install -y qt-devel
    sudo $pkgman install -y qt-config  
    sudo $pkgman install -y qt4-devel  

    if [ $ciUseMultiArch = 1 ] ; 
    then
      sudo $pkgman install -y qt-devel.i686 
      sudo $pkgman install -y qtwebkit.i686   
    fi

fi

# Install libraries for GTK3
if [ $ciplatiform = 3 ] ; 
then
    echo "   "
    echo "Install libraries for GTK3"
    echo "   "
    sudo $pkgman install -y gtk3
    sudo $pkgman install -y gtk3-devel 

    if [ $ciUseMultiArch = 1 ] ; 
    then
      sudo $pkgman install -y gtk3.i686  
    fi 
fi

# Install libraries for QT5
if [ $ciplatiform = 7 ] ; 
 then
    echo "   "
    echo "Install libraries for QT5"
    echo "   "
    sudo $pkgman install -y qt5-qtbase
    sudo $pkgman install -y qt5-qtbase-devel
    sudo $pkgman install -y qt5-qtwebkit
    sudo $pkgman install -y qt5-qtwebkit-devel
  

    if [ $ciUseMultiArch = 1 ] ; 
    then
      sudo $pkgman install -y qt5-qtbase.i686
      sudo $pkgman install -y qt5-qtbase-devel.i686 
      sudo $pkgman install -y qt5-qtwebkit.i686 
      sudo $pkgman install -y qt5-qtwebkit-devel.i686 
    fi
fi
   
echo "----------------------------------------------------"
echo "CodeTyphon OS Libraries Installation" 
echo "Finish !!!"

#sleep 5
